> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contractor

> Create one or more 1099 contractors under a company in Zeal.

See the [Contractor Object](/reference/contractors/contractor-object) for the full field reference.


## OpenAPI

````yaml openapi/zeal-api.json post /contractors
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractors:
    post:
      summary: Create Contractor
      operationId: create-contractor
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - new_contractors
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                new_contractors:
                  type: array
                  description: Array of [Contractor Objects](ref:contractor-object)
                  items:
                    properties:
                      email:
                        type: string
                        description: Email of Contractor
                      working_state:
                        type: string
                        description: State that the Contractor is working in
                      first_name:
                        type: string
                        description: First Name of Contractor
                      middle_name:
                        type: string
                        description: Middle Name of Contractor
                      last_name:
                        type: string
                        description: Last Name of Contractor
                      ssn:
                        type: string
                        description: The contractor's social security number
                      dob:
                        type: string
                        description: Date of birth of the contractor
                      phone_number:
                        type: string
                        description: ''
                      type:
                        type: string
                        description: >-
                          Holds one of the following values:
                          `individual_sole_proprietor`, `c_corporation`,
                          `s_corporation`, `partnership`, `trust_estate`, `llc`,
                          `other`. If not provided, Zeal will ask for this
                          information during onboarding
                        enum:
                          - individual_sole_proprietor
                          - c_corporation
                          - s_corporation
                          - partnership
                          - trust_estate
                          - llc
                          - other
                      llc_tax_classification:
                        type: string
                        description: >-
                          The tax classification of the LLC. Holds one of the
                          following values: `c_corporation`, `s_corporation`,
                          `partnership`. Only applicable if `type` is `llc`.
                        enum:
                          - c_corporation
                          - s_corporation
                          - partnership
                      tin_type:
                        type: string
                        description: >-
                          The TIN type of the contractor. Holds one of the
                          following values: `ssn`, `ein`. Only applicable if
                          `type` is `individual_sole_proprietor`. If `ein` is
                          passed, then the `ein` parameter will be required.
                        enum:
                          - ssn
                          - ein
                      ein:
                        type: string
                        description: >-
                          EIN of the contractor. **(Not applicable if `type` is
                          `individual_sole_proprietor` , unless the `tin_type`
                          is `ein`)**
                      business_name:
                        type: string
                        description: >-
                          Business Name of the contractor. **(Not applicable if
                          `type` is `individual_sole_proprietor` )**
                      address:
                        type: string
                      address_line2:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      zip:
                        type: string
                      onboarded:
                        type: string
                        description: >-
                          Set to true to onboard contractor. Error will be
                          returned if not all required fields are present to
                          complete onboarding.
                    required:
                      - email
                      - working_state
                      - first_name
                      - last_name
                    type: object
            examples:
              Request Example:
                value:
                  companyID: 1weertirur238eec39482
                  new_contractors:
                    - email: erlich@zeal.com
                      working_state: CA
                      first_name: Erlich
                      last_name: Bachman
                      type: s_corporation
                      business_name: Aviato
                      ein: '098765432'
                      dob: '1998-05-05'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - contractorID: c9f1e2a47d3b4f8a9c2e1a6b8d4f3e21
                        companyID: a7e3c91f4b2d8f5e9c6a1d0b4e8f2c73
                        onboarded: true
                        type: c_corporation
                        tin_type: null
                        first_name: erlich
                        middle_name: 'null'
                        last_name: bachman
                        email: erlich@zeal.com
                        dob: '1998-05-05'
                        phone_number: '4154645367'
                        ein: 12-3456789
                        business_name: Monster Cookies
                        address: 320 Pancake Hollow Road
                        address_line2: 'null'
                        city: Highland
                        state: NY
                        zip: '12528'
                        employment_status: live
                        external_id: '123'
                        paycard_requested: false
                        paycard_enabled: false
                        kyc_status: approved
                        ssn_verification_status: approved
                        instant_pay_enabled: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        contractorID:
                          type: string
                          example: '1234567890'
                        companyID:
                          type: string
                          example: 1b5n28nrideucd24
                        onboarded:
                          type: boolean
                          example: false
                          default: true
                        email:
                          type: string
                          example: erlich@zeal.com
                        working_state:
                          type: string
                          example: CA
                        first_name:
                          type: string
                          example: erlich
                        middle_name:
                          type: string
                          example: 'null'
                        last_name:
                          type: string
                          example: bachman
                        type:
                          type: string
                          example: llc
                        dob:
                          type: string
                          example: '1998-05-05'
                        business_name:
                          type: string
                          example: Aviato
                        ein:
                          type: string
                          example: '098765432'
                        ssn:
                          type: string
                          example: 'null'
                        address:
                          type: string
                          example: 'null'
                        address_line2:
                          type: string
                          example: 'null'
                        city:
                          type: string
                          example: 'null'
                        state:
                          type: string
                          example: 'null'
                        zip:
                          type: string
                          example: 'null'
                        llc_tax_classification:
                          type: string
                          example: partnership
                        employment_status:
                          type: string
                          example: live
                        external_id:
                          type: string
                          example: '245667'
                        paycard_requested:
                          type: boolean
                          example: false
                          default: true
                        paycard_enabled:
                          type: boolean
                          example: false
                          default: true
                        kyc_status:
                          type: string
                          example: approved
                        ssn_verification_status:
                          type: string
                          example: approved
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Incorrect Type: expected one of
                          individual_sole_proprietor, c_corporation,
                          s_corporation, partnership, trust_estate, llc, other
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Incorrect Type: expected one of
                            individual_sole_proprietor, c_corporation,
                            s_corporation, partnership, trust_estate, llc, other
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````